> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Cerebras

> Integrate Cerebras models with Prisma AIRS AI Gateway

The AI Gateway provides a robust and secure gateway to integrate various Large Language Models (LLMs) into applications, including [Cerebras Inference API](https://cerebras.ai/inference).

With the AI Gateway, take advantage of features like fast AI gateway access, observability, and more, while securely managing API keys through [Model Catalog](https://docs.portkey.ai/docs/aigw/product/model-catalog.md).

## Quick Start

Get Cerebras working in 3 steps:

```sh cURL icon="square-terminal" theme={"system"}
# 1. Add @cerebras provider in model catalog
# 2. Use it:

curl https://aigw.portkey.ai/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $PORTKEY_API_KEY" \
  -d '{
    "model": "@cerebras/llama3.1-8b",
    "messages": [
      { "role": "user", "content": "Say this is a test" }
    ]
  }'
```

```python OpenAI Py icon="python" theme={"system"}
from openai import OpenAI

# 1. Install: pip install openai
# 2. Add @cerebras provider in model catalog
# 3. Use it:

client = OpenAI(
    api_key="PORTKEY_API_KEY",  # AI Gateway API key
    base_url="https://aigw.portkey.ai/v1"
)

response = client.chat.completions.create(
    model="@cerebras/llama3.1-8b",
    messages=[{"role": "user", "content": "Say this is a test"}]
)

print(response.choices[0].message.content)
```

```js OpenAI JS icon="square-js" theme={"system"}
import OpenAI from "openai"

// 1. Install: npm install openai
// 2. Add @cerebras provider in model catalog
// 3. Use it:

const client = new OpenAI({
    apiKey: "PORTKEY_API_KEY",  // AI Gateway API key
    baseURL: "https://aigw.portkey.ai/v1"
})

const response = await client.chat.completions.create({
    model: "@cerebras/llama3.1-8b",
    messages: [{ role: "user", content: "Say this is a test" }]
})

console.log(response.choices[0].message.content)
```

> [!NOTE]
>
> **Tip:** You can also send `x-portkey-provider: @cerebras` as a header and use just `model="llama3.1-8b"` in the request.

## Add Provider in Model Catalog

1. Go to [**Model Catalog → Add Provider**](https://stratacloudmanager.paloaltonetworks.com/)
2. Select **Cerebras**
3. Choose existing credentials or create new by entering your [Cerebras API key](https://cerebras.ai/inference)
4. Name your provider (e.g., `cerebras-prod`)

> **[Complete Setup Guide →](https://docs.portkey.ai/docs/aigw/product/model-catalog.md)**
>
> See all setup options, code examples, and detailed instructions

***

## Supported Models

> **[Cerebras Models](https://inference-docs.cerebras.ai/introduction)**
>
> View all available models and documentation

## Next Steps

> **[Add Metadata](https://docs.portkey.ai/docs/aigw/product/observability/metadata.md)**
>
> Add metadata to your Cerebras requests

> **[Gateway Configs](https://docs.portkey.ai/docs/aigw/product/ai-gateway/configs.md)**
>
> Add gateway configs to your Cerebras requests

> **[Tracing](https://docs.portkey.ai/docs/aigw/product/observability/traces.md)**
>
> Trace your Cerebras requests

> **[Fallbacks](https://docs.portkey.ai/docs/aigw/product/ai-gateway/fallbacks.md)**
>
> Setup fallback from OpenAI to Cerebras


## Related topics

- [Cerebras Code MCP server](https://docs.portkey.ai/docs/aigw/integrations/mcp-servers/cerebras-code-mcp-server.md)
- [Prisma AIRS AI Gateway Models](https://docs.portkey.ai/docs/aigw/product/model-catalog/gateway-models.md)
- [Overview](https://docs.portkey.ai/docs/aigw/integrations/llms.md)
- [Supported Providers](https://docs.portkey.ai/docs/aigw/api-reference/inference-api/supported-providers.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.